QGIS Application - Bug report #1192
Labels incorrectly rendered in OS X 10.5.4 (QGIS 0.11.0)
2008-07-30 09:03 AM - rpeskin -

Status: Closed

Priority: Low

Assignee: Tom Elwertowski

Category:

Affected QGIS version: Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11252
Description

In QGIS 0.11.0 running under OS X 10.5.4, Labels (Display labels) are incorrectly rendered. All or major parts of the labels do not appear.
Labels render correctly in QGIS 0.10.0.

History

#1 - 2008-08-15 04:57 PM - Ollie O'Brien -

Confirmed, | see this too, also under Mac OS X 10.5.4 and QGIS 0.11.0.

It appears that only the part of the label below and to the right of the point appears - so, if the alignment of the label is set to bottom-right, it appears OK. If

it is set to the bottom or right, it is truncated. In any other orientation, it does not appear at all.

#2 - 2008-09-07 12:09 AM - Tom Elwertowski

This looks like the Qt 4.4.0 problem reported by John Tull in the QGIS Developer List on 7/9/08. John also reported on 8/5/08 that this has been fixed in Qt
4.4.1.(Qt 4.3.4 was current when QGIS 0.10.0 was released and 4.4.0 was current for 0.11.0)

It is probably specific to certain video cards. | have a [[MacBookPro]]/GeForce 8600M GT 10.5.4 and a MacG4/ATY Rage128Pro 10.4.11 and did not see

the problem using Qt 4.4.0 on either.

#3 - 2008-09-07 12:10 AM - Tom Elwertowski
- Resolution set to fixed
- Status changed from Open to Closed

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
